Skip to main content
DELETE
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
Delete Cluster Stack Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
{
  "marked_for_deletion_at": "2023-11-07T05:31:56Z",
  "commit_sha": "<string>",
  "commit_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required
stack_name
string
required

Response

Successful Response

marked_for_deletion_at
string<date-time>
required
commit_sha
string | null
commit_url
string | null